List partner organizations
Retrieves a paginated list of organizations associated with a specific partner.
curl --request GET \
--url https://stage-api.findity.com/api/v1/admin/partners/{partnerId}/organizations \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-api.findity.com/api/v1/admin/partners/{partnerId}/organizations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-api.findity.com/api/v1/admin/partners/{partnerId}/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/admin/partners/{partnerId}/organizations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/admin/partners/{partnerId}/organizations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-api.findity.com/api/v1/admin/partners/{partnerId}/organizations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/admin/partners/{partnerId}/organizations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "abc123",
"name": "Partner",
"partnerCode": "P123",
"groupInvoiceArticles": true,
"articleGroupName": "Article group name",
"newOrganizationsPayedByOrg": false,
"total": 25,
"count": 10,
"templateOrganizations": [
{
"id": "tempid123",
"name": "Template Organization",
"externalSourceId": "EXT001",
"dateCreated": "2023-11-07T05:31:56Z",
"accountingSettingsCountryCode": "SE",
"categoryGroups": [
"com.findity.economy.accounting.RepresentationExpenseCategory"
],
"recipients": [
{
"id": "recipient123",
"integrationPluginName": "integration plugin name",
"recipientName": "Test Integration",
"originalRecipientName": "Test",
"customRecipientName": "Custom Test",
"email": "integration@test.com",
"errorEmail": "errors@test.com",
"sortOrder": 1,
"status": "NORMAL",
"doDebitAccounting": true,
"doCreditAccounting": true,
"usesAccountingNumbers": true,
"usesSalaryCodes": false,
"requiresApiKey": true,
"hasApiKey": true,
"settings": {}
}
]
}
],
"memberOrganizations": [
{
"id": "memberorg123",
"name": "Member Organization",
"externalSourceId": "EXT002",
"vat": "SE123456789001",
"dateCreated": "2023-11-07T05:31:56Z",
"employees": 50,
"hasOwnLicensePrice": true,
"licensePrice": 25.5,
"payedByPartner": false,
"label": "label",
"unverifiedCards": 3,
"paymentSettings": {
"id": "payment",
"product": "product",
"priceFixed": 100
},
"accountingConsultants": [
{
"id": "consultant123",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@consultant.com"
}
]
}
]
}{
"result": "<string>",
"code": "<string>",
"description": "<string>"
}{
"result": "error",
"code": "ORGANIZATION_NOT_FOUND",
"description": "Failed to get organization for id: {orgId}"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Partner external ID
"abc123"
Query Parameters
Maximum number of results to return
1 <= x <= 100050
Number of results to skip for pagination
x >= 00
Field to sort by
name, dateCreated, employees, price, payedByPartner, orgNumber, article-group-name, unverifiedCards "name"
Sort order
asc, desc "asc"
Search query to filter organizations by name
"Part"
Response
Successfully retrieved partner organizations
Partner organizations response containing both template and member organizations
Partner external ID
"abc123"
Partner name
"Partner"
Partner code
"P123"
Whether to group invoice articles
true
Name of the article group
"Article group name"
Flag indicating whether new organizations created under this partner will be paid by an existing organization
false
Total number of organizations available
25
Number of organizations returned in this response
10
List of template organizations
Hide child attributes
Hide child attributes
Organization ID
"tempid123"
Organization name
"Template Organization"
External source identifier
"EXT001"
Date when organization was created
Country code for accounting settings
"SE"
List of category groups
[
"com.findity.economy.accounting.RepresentationExpenseCategory"
]
List of recipients for this template organization
Hide child attributes
Hide child attributes
Recipient ID
"recipient123"
Integration plugin name
"integration plugin name"
Display name of recipient
"Test Integration"
Original recipient name
"Test"
Custom recipient name
"Custom Test"
Recipient email
"integration@test.com"
Error notification email
"errors@test.com"
Sort order of recipient
1
Recipient status
"NORMAL"
Whether recipient does debit accounting
true
Whether recipient does credit accounting
true
Whether recipient uses accounting numbers
true
Whether recipient uses salary codes
false
Whether recipient requires API key
true
Whether recipient has API key configured
true
Recipient settings configuration
List of member organizations
Hide child attributes
Hide child attributes
Organization ID
"memberorg123"
Organization name
"Member Organization"
External source identifier
"EXT002"
VAT number
"SE123456789001"
Date when organization was created
Number of employees
50
Whether organization has its own license price
true
License price if hasOwnLicensePrice is true
25.5
Whether organization is paid by partner
false
Organization label
"label"
Number of unverified cards
3
List of accounting consultants
Hide child attributes
Hide child attributes
Consultant ID
"consultant123"
First name of consultant
"John"
Last name of consultant
"Doe"
Email of consultant
"john.doe@consultant.com"
curl --request GET \
--url https://stage-api.findity.com/api/v1/admin/partners/{partnerId}/organizations \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-api.findity.com/api/v1/admin/partners/{partnerId}/organizations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-api.findity.com/api/v1/admin/partners/{partnerId}/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/admin/partners/{partnerId}/organizations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/admin/partners/{partnerId}/organizations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-api.findity.com/api/v1/admin/partners/{partnerId}/organizations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/admin/partners/{partnerId}/organizations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "abc123",
"name": "Partner",
"partnerCode": "P123",
"groupInvoiceArticles": true,
"articleGroupName": "Article group name",
"newOrganizationsPayedByOrg": false,
"total": 25,
"count": 10,
"templateOrganizations": [
{
"id": "tempid123",
"name": "Template Organization",
"externalSourceId": "EXT001",
"dateCreated": "2023-11-07T05:31:56Z",
"accountingSettingsCountryCode": "SE",
"categoryGroups": [
"com.findity.economy.accounting.RepresentationExpenseCategory"
],
"recipients": [
{
"id": "recipient123",
"integrationPluginName": "integration plugin name",
"recipientName": "Test Integration",
"originalRecipientName": "Test",
"customRecipientName": "Custom Test",
"email": "integration@test.com",
"errorEmail": "errors@test.com",
"sortOrder": 1,
"status": "NORMAL",
"doDebitAccounting": true,
"doCreditAccounting": true,
"usesAccountingNumbers": true,
"usesSalaryCodes": false,
"requiresApiKey": true,
"hasApiKey": true,
"settings": {}
}
]
}
],
"memberOrganizations": [
{
"id": "memberorg123",
"name": "Member Organization",
"externalSourceId": "EXT002",
"vat": "SE123456789001",
"dateCreated": "2023-11-07T05:31:56Z",
"employees": 50,
"hasOwnLicensePrice": true,
"licensePrice": 25.5,
"payedByPartner": false,
"label": "label",
"unverifiedCards": 3,
"paymentSettings": {
"id": "payment",
"product": "product",
"priceFixed": 100
},
"accountingConsultants": [
{
"id": "consultant123",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@consultant.com"
}
]
}
]
}{
"result": "<string>",
"code": "<string>",
"description": "<string>"
}{
"result": "error",
"code": "ORGANIZATION_NOT_FOUND",
"description": "Failed to get organization for id: {orgId}"
}
